<?php
namespace Bss\ImportExportCore\Block\Adminhtml\ImportProcessPage;

/**
 * Interceptor class for @see \Bss\ImportExportCore\Block\Adminhtml\ImportProcessPage
 */
class Interceptor extends \Bss\ImportExportCore\Block\Adminhtml\ImportProcessPage implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Framework\Filesystem\DirectoryList $directoryList, \Magento\Framework\Filesystem\Driver\File $driverFile, \Psr\Log\LoggerInterface $logger)
    {
        $this->___init();
        parent::__construct($context, $directoryList, $driverFile, $logger);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
